/**
 * XDeterminerInstanceKind.java
 *
 * File generated from the medication::XDeterminerInstanceKind uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDeterminerInstanceKind.
 *
 * 
 */

@XmlType(name = "XDeterminerInstanceKind")
@XmlEnum
@XmlRootElement(name = "XDeterminerInstanceKind")
public enum XDeterminerInstanceKind {
	@XmlEnumValue("KIND")
	KIND("KIND"),
	@XmlEnumValue("INSTANCE")
	INSTANCE("INSTANCE");
	
	private final String value;

    XDeterminerInstanceKind(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XDeterminerInstanceKind fromValue(String v) {
        for (XDeterminerInstanceKind c: XDeterminerInstanceKind.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}